# Generated by Django 4.1.7 on 2024-01-24 07:00

import django.core.validators
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="Institution",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                ("name", models.CharField(max_length=255, verbose_name="Name")),
                (
                    "short_description",
                    models.TextField(
                        blank=True, null=True, verbose_name="Short Description"
                    ),
                ),
                (
                    "about",
                    models.TextField(blank=True, null=True, verbose_name="About"),
                ),
                (
                    "founding_date",
                    models.DateField(
                        blank=True, null=True, verbose_name="Founding Year"
                    ),
                ),
                (
                    "contact_1",
                    models.CharField(
                        blank=True,
                        max_length=15,
                        null=True,
                        validators=[
                            django.core.validators.RegexValidator(
                                message="Provide valid phone number.",
                                regex="^\\+?1?\\d{9,12}$",
                            )
                        ],
                        verbose_name="Phone number",
                    ),
                ),
                (
                    "contact_2",
                    models.CharField(
                        blank=True,
                        max_length=15,
                        null=True,
                        validators=[
                            django.core.validators.RegexValidator(
                                message="Provide valid phone number.",
                                regex="^\\+?1?\\d{9,12}$",
                            )
                        ],
                        verbose_name="Phone number",
                    ),
                ),
                (
                    "address",
                    models.TextField(blank=True, null=True, verbose_name="Address"),
                ),
                ("web", models.URLField(blank=True, null=True, verbose_name="Website")),
                (
                    "email",
                    models.EmailField(
                        blank=True, max_length=200, null=True, verbose_name="Email"
                    ),
                ),
                (
                    "image",
                    models.ImageField(
                        blank=True,
                        null=True,
                        upload_to="institution_profile",
                        verbose_name="Institution Photo",
                    ),
                ),
                (
                    "logo",
                    models.ImageField(
                        blank=True,
                        null=True,
                        upload_to="institution_profile",
                        verbose_name="Institution Logo",
                    ),
                ),
                (
                    "created_by",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="%(app_label)s_%(class)s_created_by",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "updated_by",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="%(app_label)s_%(class)s_updated_by",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
